Subject: Re: What does Montavista Linux gives you in addition to standard Linux ?

From: Kurt Wall <[email-masked]>
Date: Tue, 23 Apr 2002 16:22:27 -0400

Speaking anonymously, LEROY Christophe told us:
>
> Hi,
>
> I thought that Montavista had really improved the realtime of Linux,
> but i've been told that Montavista has only improved realtime for threads
> and for SMP.

I guess you'd have to try it and see for yourself.

> It means it is only interesting if you have only one process per CPU, with
> a lot of threads inside it.
>
> Is that right ?
>
> If it is right, I can't see any interest of using Linux for embedded
> systems.

As someone else wrote, Montavista Linux isn't the only real-time or
embedded Linux. You might have a look at TimeSys Linux:
http://www.timesys.com/.

Kurt (not speaking for my employer)
--
The cow is nothing but a machine which makes grass fit for us people to
eat.
		-- John McNulty

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/